package com.bocloud.sms.booter.controller;

import com.bocloud.sms.interfaces.SystemHomeService;
import com.megatron.common.model.GeneralResult;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Tag(name = "系统主页")
@RestController
@RequestMapping("/v1/system/home")
@Slf4j
public class SystemHomeController {

    @Autowired
    private SystemHomeService systemHomeService;


    @Operation(summary = "获取云宏token")
    @GetMapping("/winhong/token")
    public GeneralResult<?> getToken() {
        return systemHomeService.getToken();
    }

}
