package com.bocloud.sms.interfaces;

import com.bocloud.sms.entity.ApiToken;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

/**
 * api token访问控制业务接口
 */
public interface ApiTokenService {

    GeneralResult<ApiToken> get(String token);

    GeneralResult<ApiToken> create(ApiToken param, RequestContext context);

    GeneralResult<GridBean<ApiToken>> list(Pager pager, RequestContext context);

    GeneralResult<Void> modify(ApiToken param, RequestContext context);

    GeneralResult<Void> remove(Long id, RequestContext context);
}
