package com.bocloud.sms.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * api权限关连表实体类
 *
 * @author tyl
 * @since 2021/3/15 14:38
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Table("api_permission")
@AllArgsConstructor
@NoArgsConstructor
public class ApiPermission extends Generic {
    /**
     * id
     */
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("role_id")
    private Long roleId;
    @Column("pattern")
    private String pattern;
    @Column("operation")
    private String operation;
    @Column("module")
    private String module;
}
