package com.bocloud.sms.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * API信息
 *
 * @author tyl
 * @since 2021/3/15 15:20
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ApiInfo {

    /**
     * 请求目标
     */
    private String target;
    private String label;
    /**
     * 请求Url
     */
    private String url;
    /**
     * 请求方法
     */
    private String method;
    /**
     * 操作信息
     */
    private String operation;
    /**
     * 正则匹配串
     */
    private String pattern;

    /**
     * 服务模块
     */
    private String service;
    /**
     * 是否授权
     */
    private Boolean check;
    private String tag;
    private String[] tags;
}
