package com.bocloud.sms.model.single;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class RoleResponseModel {
    private String status;

    private String pmsChanged;

    private String msg;

    private List<Role> data = new ArrayList<>();

    @Data
    public static class Role {

        private String id; //	功能模块标识
        private String pid; //	功能模块父标识
        private String name; //	功能模块名称

        private List<Role> children = new ArrayList<>();
    }
}
